diff --git a/aggregate-application/.mvn b/aggregate-application/.mvn
new file mode 120000
index 0000000..19172e1
--- /dev/null
+++ b/aggregate-application/.mvn
@@ -0,0 +1 @@
+../.mvn
\ No newline at end of file
diff --git a/aggregate-application/README.adoc b/aggregate-application/README.adoc
new file mode 100644
index 0000000..7ba544b
--- /dev/null
+++ b/aggregate-application/README.adoc
@@ -0,0 +1,43 @@
+Spring Cloud Stream Aggregate Application Sample
+================================================
+
+This is a basic example of a Spring Cloud Stream aggregate application.
+This sample follows the chain of source -> processor -> sink.
+Since the final component is a sink, we can run this aggregate sample without using a middleware, i.e. the entire chain is done in memory using the channels.
+Alternatively, we can stop the application at a processor and send the outbound to a middleware through a binder.
+
+## Requirements
+
+To run this sample, you will need to have installed:
+
+* Java 8 or Above
+
+## Code Tour
+
+* SourceAppConfiguration - Configuration for the source
+* ProcessorAppConfiguraion - Configuration for the processor
+* SinkAppConfiguration - Configuration for the sink
+* SourceApplication - Spring Boot app for the source
+* ProcessorApplication - Spring Boot app for the processor
+* SinkApplication - Spring Boot app for the sink
+* AggregateApplication - The main aggregate application
+
+## Running the application
+
+* Go to the application root
+
+* `./mvnw clean package`
+
+* `java -jar target/aggregate-application-0.0.1-SNAPSHOT.jar`
+
+Source application sends a message every second which will initiate the processor and then the sink (all in memory through the aggregate app).
+You will see output similar to the following printed on the console every second.
+
+```
+2018-03-02 18:29:06.546 INFO 29080 --- [ask-scheduler-1] config.sink.SinkModuleDefinition : Received: 2018-03-02 18:29:06
+2018-03-02 18:29:07.552 INFO 29080 --- [ask-scheduler-2] config.sink.SinkModuleDefinition : Received: 2018-03-02 18:29:07
+2018-03-02 18:29:08.558 INFO 29080 --- [ask-scheduler-1] config.sink.SinkModuleDefinition : Received: 2018-03-02 18:29:08
+2018-03-02 18:29:09.564 INFO 29080 --- [ask-scheduler-3] config.sink.SinkModuleDefinition : Received: 2018-03-02 18:29:09
+2018-03-02 18:29:10.569 INFO 29080 --- [ask-scheduler-2] config.sink.SinkModuleDefinition : Received: 2018-03-02 18:29:10
+2018-03-02 18:29:11.570 INFO 29080 --- [ask-scheduler-4] config.sink.SinkModuleDefinition : Received: 2018-03-02 18:29:11
+```
\ No newline at end of file
diff --git a/aggregate-application/mvnw b/aggregate-application/mvnw
new file mode 100755
index 0000000..6efc7bd
--- /dev/null
+++ b/aggregate-application/mvnw
@@ -0,0 +1,226 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+# ----------------------------------------------------------------------------
+
+# ----------------------------------------------------------------------------
+# Maven2 Start Up Batch script
+#
+# Required ENV vars:
+# ------------------
+# JAVA_HOME - location of a JDK home dir
+#
+# Optional ENV vars
+# -----------------
+# M2_HOME - location of maven2's installed home dir
+# MAVEN_OPTS - parameters passed to the Java VM when running Maven
+# e.g. to debug Maven itself, use
+# set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+# MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+# ----------------------------------------------------------------------------
+
+if [ -z "$MAVEN_SKIP_RC" ] ; then
+
+ if [ -f /etc/mavenrc ] ; then
+ . /etc/mavenrc
+ fi
+
+ if [ -f "$HOME/.mavenrc" ] ; then
+ . "$HOME/.mavenrc"
+ fi
+
+fi
+
+# OS specific support. $var _must_ be set to either true or false.
+cygwin=false;
+darwin=false;
+mingw=false
+case "`uname`" in
+ CYGWIN*) cygwin=true ;;
+ MINGW*) mingw=true;;
+ Darwin*) darwin=true
+ # Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home
+ # See https://developer.apple.com/library/mac/qa/qa1170/_index.html
+ if [ -z "$JAVA_HOME" ]; then
+ if [ -x "/usr/libexec/java_home" ]; then
+ export JAVA_HOME="`/usr/libexec/java_home`"
+ else
+ export JAVA_HOME="/Library/Java/Home"
+ fi
+ fi
+ ;;
+esac
+
+if [ -z "$JAVA_HOME" ] ; then
+ if [ -r /etc/gentoo-release ] ; then
+ JAVA_HOME=`java-config --jre-home`
+ fi
+fi
+
+if [ -z "$M2_HOME" ] ; then
+ ## resolve links - $0 may be a link to maven's home
+ PRG="$0"
+
+ # need this for relative symlinks
+ while [ -h "$PRG" ] ; do
+ ls=`ls -ld "$PRG"`
+ link=`expr "$ls" : '.*-> \(.*\)$'`
+ if expr "$link" : '/.*' > /dev/null; then
+ PRG="$link"
+ else
+ PRG="`dirname "$PRG"`/$link"
+ fi
+ done
+
+ saveddir=`pwd`
+
+ M2_HOME=`dirname "$PRG"`/..
+
+ # make it fully qualified
+ M2_HOME=`cd "$M2_HOME" && pwd`
+
+ cd "$saveddir"
+ # echo Using m2 at $M2_HOME
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME=`cygpath --unix "$M2_HOME"`
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+ [ -n "$CLASSPATH" ] &&
+ CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+fi
+
+# For Migwn, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME="`(cd "$M2_HOME"; pwd)`"
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+ # TODO classpath?
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+ javaExecutable="`which javac`"
+ if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
+ # readlink(1) is not available as standard on Solaris 10.
+ readLink=`which readlink`
+ if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
+ if $darwin ; then
+ javaHome="`dirname \"$javaExecutable\"`"
+ javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
+ else
+ javaExecutable="`readlink -f \"$javaExecutable\"`"
+ fi
+ javaHome="`dirname \"$javaExecutable\"`"
+ javaHome=`expr "$javaHome" : '\(.*\)/bin'`
+ JAVA_HOME="$javaHome"
+ export JAVA_HOME
+ fi
+ fi
+fi
+
+if [ -z "$JAVACMD" ] ; then
+ if [ -n "$JAVA_HOME" ] ; then
+ if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+ # IBM's JDK on AIX uses strange locations for the executables
+ JAVACMD="$JAVA_HOME/jre/sh/java"
+ else
+ JAVACMD="$JAVA_HOME/bin/java"
+ fi
+ else
+ JAVACMD="`which java`"
+ fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+ echo "Error: JAVA_HOME is not defined correctly." >&2
+ echo " We cannot execute $JAVACMD" >&2
+ exit 1
+fi
+
+if [ -z "$JAVA_HOME" ] ; then
+ echo "Warning: JAVA_HOME environment variable is not set."
+fi
+
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
+
+# traverses directory structure from process work directory to filesystem root
+# first directory with .mvn subdirectory is considered project base directory
+find_maven_basedir() {
+
+ if [ -z "$1" ]
+ then
+ echo "Path not specified to find_maven_basedir"
+ return 1
+ fi
+
+ basedir="$1"
+ wdir="$1"
+ while [ "$wdir" != '/' ] ; do
+ if [ -d "$wdir"/.mvn ] ; then
+ basedir=$wdir
+ break
+ fi
+ # workaround for JBEAP-8937 (on Solaris 10/Sparc)
+ if [ -d "${wdir}" ]; then
+ wdir=`cd "$wdir/.."; pwd`
+ fi
+ # end of workaround
+ done
+ echo "${basedir}"
+}
+
+# concatenates all lines of a file
+concat_lines() {
+ if [ -f "$1" ]; then
+ echo "$(tr -s '\n' ' ' < "$1")"
+ fi
+}
+
+BASE_DIR=`find_maven_basedir "$(pwd)"`
+if [ -z "$BASE_DIR" ]; then
+ exit 1;
+fi
+
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"}
+echo $MAVEN_PROJECTBASEDIR
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME=`cygpath --path --windows "$M2_HOME"`
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
+ [ -n "$CLASSPATH" ] &&
+ CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+ [ -n "$MAVEN_PROJECTBASEDIR" ] &&
+ MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"`
+fi
+
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+"$JAVACMD" \
+ $MAVEN_OPTS \
+ -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
+ "-Dmaven.home=${M2_HOME}" "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
+ ${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@"
+
diff --git a/aggregate-application/mvnw.cmd b/aggregate-application/mvnw.cmd
new file mode 100644
index 0000000..b0dc0e7
--- /dev/null
+++ b/aggregate-application/mvnw.cmd
@@ -0,0 +1,145 @@
+@REM ----------------------------------------------------------------------------
+@REM Licensed to the Apache Software Foundation (ASF) under one
+@REM or more contributor license agreements. See the NOTICE file
+@REM distributed with this work for additional information
+@REM regarding copyright ownership. The ASF licenses this file
+@REM to you under the Apache License, Version 2.0 (the
+@REM "License"); you may not use this file except in compliance
+@REM with the License. You may obtain a copy of the License at
+@REM
+@REM http://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing,
+@REM software distributed under the License is distributed on an
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+@REM KIND, either express or implied. See the License for the
+@REM specific language governing permissions and limitations
+@REM under the License.
+@REM ----------------------------------------------------------------------------
+
+@REM ----------------------------------------------------------------------------
+@REM Maven2 Start Up Batch script
+@REM
+@REM Required ENV vars:
+@REM JAVA_HOME - location of a JDK home dir
+@REM
+@REM Optional ENV vars
+@REM M2_HOME - location of maven2's installed home dir
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a key stroke before ending
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
+@REM e.g. to debug Maven itself, use
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+@REM ----------------------------------------------------------------------------
+
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
+@echo off
+@REM enable echoing my setting MAVEN_BATCH_ECHO to 'on'
+@if "%MAVEN_BATCH_ECHO%" == "on" echo %MAVEN_BATCH_ECHO%
+
+@REM set %HOME% to equivalent of $HOME
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
+
+@REM Execute a user defined script before this one
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_pre.bat" call "%HOME%\mavenrc_pre.bat"
+if exist "%HOME%\mavenrc_pre.cmd" call "%HOME%\mavenrc_pre.cmd"
+:skipRcPre
+
+@setlocal
+
+set ERROR_CODE=0
+
+@REM To isolate internal variables from possible post scripts, we use another setlocal
+@setlocal
+
+@REM ==== START VALIDATION ====
+if not "%JAVA_HOME%" == "" goto OkJHome
+
+echo.
+echo Error: JAVA_HOME not found in your environment. >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+:OkJHome
+if exist "%JAVA_HOME%\bin\java.exe" goto init
+
+echo.
+echo Error: JAVA_HOME is set to an invalid directory. >&2
+echo JAVA_HOME = "%JAVA_HOME%" >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+@REM ==== END VALIDATION ====
+
+:init
+
+set MAVEN_CMD_LINE_ARGS=%*
+
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
+@REM Fallback to current working directory if not found.
+
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
+
+set EXEC_DIR=%CD%
+set WDIR=%EXEC_DIR%
+:findBaseDir
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
+cd ..
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
+set WDIR=%CD%
+goto findBaseDir
+
+:baseDirFound
+set MAVEN_PROJECTBASEDIR=%WDIR%
+cd "%EXEC_DIR%"
+goto endDetectBaseDir
+
+:baseDirNotFound
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
+cd "%EXEC_DIR%"
+
+:endDetectBaseDir
+
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
+
+@setlocal EnableExtensions EnableDelayedExpansion
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
+
+:endReadAdditionalConfig
+
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
+
+set WRAPPER_JAR="".\.mvn\wrapper\maven-wrapper.jar""
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+%MAVEN_JAVA_EXE% %JVM_CONFIG_MAVEN_PROPS% %MAVEN_OPTS% %MAVEN_DEBUG_OPTS% -classpath %WRAPPER_JAR% "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" %WRAPPER_LAUNCHER% %MAVEN_CMD_LINE_ARGS%
+if ERRORLEVEL 1 goto error
+goto end
+
+:error
+set ERROR_CODE=1
+
+:end
+@endlocal & set ERROR_CODE=%ERROR_CODE%
+
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPost
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_post.bat" call "%HOME%\mavenrc_post.bat"
+if exist "%HOME%\mavenrc_post.cmd" call "%HOME%\mavenrc_post.cmd"
+:skipRcPost
+
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
+if "%MAVEN_BATCH_PAUSE%" == "on" pause
+
+if "%MAVEN_TERMINATE_CMD%" == "on" exit %ERROR_CODE%
+
+exit /B %ERROR_CODE%
diff --git a/aggregate-application/pom.xml b/aggregate-application/pom.xml
new file mode 100644
index 0000000..e217702
--- /dev/null
+++ b/aggregate-application/pom.xml
@@ -0,0 +1,96 @@
+
+
+ 4.0.0
+
+
+ spring.cloud.stream.samples
+ aggregate-application
+ 0.0.1-SNAPSHOT
+ jar
+
+ aggregate-application
+ Demo project for Spring Boot
+
+
+ org.springframework.boot
+ spring-boot-starter-parent
+ 2.0.0.BUILD-SNAPSHOT
+
+
+
+
+ UTF-8
+ UTF-8
+ 1.8
+ Finchley.BUILD-SNAPSHOT
+
+
+
+
+ org.springframework.boot
+ spring-boot-starter-actuator
+
+
+ org.springframework.boot
+ spring-boot-starter-web
+
+
+ org.springframework.boot
+ spring-boot-starter
+
+
+ org.springframework.cloud
+ spring-cloud-stream-binder-kafka
+
+
+ org.springframework.boot
+ spring-boot-starter-test
+ test
+
+
+
+
+
+
+ org.springframework.cloud
+ spring-cloud-dependencies
+ ${spring-cloud.version}
+ pom
+ import
+
+
+
+
+
+
+
+ org.springframework.boot
+ spring-boot-maven-plugin
+
+
+
+
+
+
+ spring-snapshots
+ Spring Snapshots
+ http://repo.spring.io/libs-snapshot-local
+
+ true
+
+
+ false
+
+
+
+ spring-milestones
+ Spring Milestones
+ http://repo.spring.io/libs-milestone-local
+
+ false
+
+
+
+
+
+
diff --git a/double/src/main/java/config/processor/ProcessorModuleDefinition.java b/aggregate-application/src/main/java/config/processor/ProcessorAppConfiguration.java
similarity index 96%
rename from double/src/main/java/config/processor/ProcessorModuleDefinition.java
rename to aggregate-application/src/main/java/config/processor/ProcessorAppConfiguration.java
index 66227b5..575ae6b 100644
--- a/double/src/main/java/config/processor/ProcessorModuleDefinition.java
+++ b/aggregate-application/src/main/java/config/processor/ProcessorAppConfiguration.java
@@ -25,7 +25,7 @@ import org.springframework.messaging.Message;
* @author Marius Bogoevici
*/
@EnableBinding(Processor.class)
-public class ProcessorModuleDefinition {
+public class ProcessorAppConfiguration {
@Transformer(inputChannel = Processor.INPUT, outputChannel = Processor.OUTPUT)
public Message> transform(Message> inbound) {
diff --git a/double/src/main/java/config/processor/ProcessorApplication.java b/aggregate-application/src/main/java/config/processor/ProcessorApplication.java
similarity index 100%
rename from double/src/main/java/config/processor/ProcessorApplication.java
rename to aggregate-application/src/main/java/config/processor/ProcessorApplication.java
diff --git a/double/src/main/java/config/sink/SinkModuleDefinition.java b/aggregate-application/src/main/java/config/sink/SinkAppConfiguration.java
similarity index 90%
rename from double/src/main/java/config/sink/SinkModuleDefinition.java
rename to aggregate-application/src/main/java/config/sink/SinkAppConfiguration.java
index 995ff62..b540725 100644
--- a/double/src/main/java/config/sink/SinkModuleDefinition.java
+++ b/aggregate-application/src/main/java/config/sink/SinkAppConfiguration.java
@@ -27,9 +27,9 @@ import org.springframework.integration.annotation.ServiceActivator;
* @author Marius Bogoevici
*/
@EnableBinding(Sink.class)
-public class SinkModuleDefinition {
+public class SinkAppConfiguration {
- private static Logger logger = LoggerFactory.getLogger(SinkModuleDefinition.class);
+ private static Logger logger = LoggerFactory.getLogger(SinkAppConfiguration.class);
@ServiceActivator(inputChannel=Sink.INPUT)
public void loggerSink(Object payload) {
diff --git a/double/src/main/java/config/sink/SinkApplication.java b/aggregate-application/src/main/java/config/sink/SinkApplication.java
similarity index 100%
rename from double/src/main/java/config/sink/SinkApplication.java
rename to aggregate-application/src/main/java/config/sink/SinkApplication.java
diff --git a/double/src/main/java/config/source/SourceModuleDefinition.java b/aggregate-application/src/main/java/config/source/SourceAppConfiguration.java
similarity index 97%
rename from double/src/main/java/config/source/SourceModuleDefinition.java
rename to aggregate-application/src/main/java/config/source/SourceAppConfiguration.java
index 2156887..684d2bc 100644
--- a/double/src/main/java/config/source/SourceModuleDefinition.java
+++ b/aggregate-application/src/main/java/config/source/SourceAppConfiguration.java
@@ -16,9 +16,6 @@
package config.source;
-import java.text.SimpleDateFormat;
-import java.util.Date;
-
import org.springframework.cloud.stream.annotation.EnableBinding;
import org.springframework.cloud.stream.messaging.Source;
import org.springframework.context.annotation.Bean;
@@ -27,12 +24,15 @@ import org.springframework.integration.annotation.Poller;
import org.springframework.integration.core.MessageSource;
import org.springframework.messaging.support.GenericMessage;
+import java.text.SimpleDateFormat;
+import java.util.Date;
+
/**
* @author Dave Syer
* @author Marius Bogoevici
*/
@EnableBinding(Source.class)
-public class SourceModuleDefinition {
+public class SourceAppConfiguration {
private String format = "yyyy-MM-dd HH:mm:ss";
diff --git a/double/src/main/java/config/source/SourceApplication.java b/aggregate-application/src/main/java/config/source/SourceApplication.java
similarity index 100%
rename from double/src/main/java/config/source/SourceApplication.java
rename to aggregate-application/src/main/java/config/source/SourceApplication.java
diff --git a/double/src/main/java/demo/DoubleApplication.java b/aggregate-application/src/main/java/demo/AggregateApplication.java
similarity index 78%
rename from double/src/main/java/demo/DoubleApplication.java
rename to aggregate-application/src/main/java/demo/AggregateApplication.java
index 8a900db..796333a 100644
--- a/double/src/main/java/demo/DoubleApplication.java
+++ b/aggregate-application/src/main/java/demo/AggregateApplication.java
@@ -19,18 +19,15 @@ package demo;
import config.processor.ProcessorApplication;
import config.sink.SinkApplication;
import config.source.SourceApplication;
-
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.stream.aggregate.AggregateApplicationBuilder;
-import org.springframework.cloud.stream.messaging.Processor;
-import org.springframework.context.ConfigurableApplicationContext;
@SpringBootApplication
-public class DoubleApplication {
+public class AggregateApplication {
public static void main(String[] args) {
- new AggregateApplicationBuilder(DoubleApplication.class, args)
- .from(SourceApplication.class).args("--fixedDelay=5000")
+ new AggregateApplicationBuilder(AggregateApplication.class, args)
+ .from(SourceApplication.class).args("--fixedDelay=1000")
.via(ProcessorApplication.class)
.to(SinkApplication.class).args("--debug=true").run();
}
diff --git a/double/src/test/java/demo/ModuleApplicationTests.java b/aggregate-application/src/test/java/demo/ModuleApplicationTests.java
similarity index 95%
rename from double/src/test/java/demo/ModuleApplicationTests.java
rename to aggregate-application/src/test/java/demo/ModuleApplicationTests.java
index 1bedf52..6f78d4e 100644
--- a/double/src/test/java/demo/ModuleApplicationTests.java
+++ b/aggregate-application/src/test/java/demo/ModuleApplicationTests.java
@@ -25,7 +25,7 @@ import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.test.context.web.WebAppConfiguration;
@RunWith(SpringJUnit4ClassRunner.class)
-@SpringBootTest(classes = DoubleApplication.class)
+@SpringBootTest(classes = AggregateApplication.class)
@WebAppConfiguration
@DirtiesContext
public class ModuleApplicationTests {
diff --git a/double/pom.xml b/double/pom.xml
deleted file mode 100644
index 90dd818..0000000
--- a/double/pom.xml
+++ /dev/null
@@ -1,51 +0,0 @@
-
-
- 4.0.0
-
- spring-cloud-stream-sample-double
- jar
-
- spring-cloud-stream-sample-double
- Demo project for Aggregate Builder
-
-
- org.springframework.cloud
- spring-cloud-stream-samples
- 1.2.0.BUILD-SNAPSHOT
-
-
-
- demo.DoubleApplication
-
-
-
-
- org.springframework.cloud
- spring-cloud-stream
-
-
- org.springframework.boot
- spring-boot-configuration-processor
- true
-
-
-
- org.springframework.boot
- spring-boot-starter-test
- test
-
-
-
-
-
-
- org.springframework.boot
- spring-boot-maven-plugin
-
- exec
-
-
-
-
-
-
diff --git a/double/src/main/resources/application.yml b/double/src/main/resources/application.yml
deleted file mode 100644
index d84e8d1..0000000
--- a/double/src/main/resources/application.yml
+++ /dev/null
@@ -1 +0,0 @@
-fixedDelay: 1000
diff --git a/double/src/main/resources/sink.yml b/double/src/main/resources/sink.yml
deleted file mode 100644
index a0f178e..0000000
--- a/double/src/main/resources/sink.yml
+++ /dev/null
@@ -1,6 +0,0 @@
-spring:
- cloud:
- stream:
- bindings:
- input: testtock
-
\ No newline at end of file
diff --git a/double/src/main/resources/source.yml b/double/src/main/resources/source.yml
deleted file mode 100644
index ac31a89..0000000
--- a/double/src/main/resources/source.yml
+++ /dev/null
@@ -1,7 +0,0 @@
-fixedDelay: 5000
-spring:
- cloud:
- stream:
- bindings:
- output: testtock
-
\ No newline at end of file
diff --git a/pom.xml b/pom.xml
index ccdf18b..067991f 100644
--- a/pom.xml
+++ b/pom.xml
@@ -23,10 +23,10 @@
jdbc-sink
jdbc-source
- stream-listener-basic
+ streamlistener-basic
+ aggregate-application
dynamic-source
transform
- double
non-self-contained-aggregate-app
multibinder-differentsystems
diff --git a/streamlistener-basic/README.adoc b/streamlistener-basic/README.adoc
index 595b4c2..75c22f9 100644
--- a/streamlistener-basic/README.adoc
+++ b/streamlistener-basic/README.adoc
@@ -23,7 +23,7 @@ This sample is a Spring Boot application that bundles multiple application toget
Please note that the applications (SampleSource, SampleTransformer and SampleSink) are bundled inside the single application for the demo purpose only.
In practice, these applications run on their own.
If at all they need to be bundled together, the best practice is to use `AggregateApplicationBuilder`.
-Refer the sample `double` for more info on aggregate application.
+Refer the sample `aggregate-application` for more info on aggregate application.
## Running the application